4 # Copyright (C) 2007 Daniel Hokka Zakrisson
6 # This program is free software; you can redistribute it and/or modify
7 # it under the terms of the GNU General Public License as published by
8 # the Free Software Foundation; version 2 of the License.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY; without even the implied warranty of
12 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
13 # GNU General Public License for more details.
15 # You should have received a copy of the GNU General Public License
16 # along with this program; if not, write to the Free Software
17 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
19 : ${UTIL_VSERVER_VARS:=/usr/lib/util-vserver/util-vserver-vars}
20 test -e "$UTIL_VSERVER_VARS" || {
21 echo $"Can not find util-vserver installation (the file '$UTIL_VSERVER_VARS' would be expected); aborting..." >&2
24 . "$UTIL_VSERVER_VARS"
26 . "$__PKGLIBDIR/vserver.functions"
32 $"Usage: $0 <statements>
34 Report bugs to <$PACKAGE_BUGREPORT>."
38 function showVersion()
41 $"bash-wrapper $PACKAGE_VERSION -- wrapper for bash snippets for Gentoo initscripts
42 This program is part of $PACKAGE_STRING
44 Copyright (C) 2007 Daniel Hokka Zakrisson
45 This program is free software; you may redistribute it under the terms of
46 the GNU General Public License. This program has absolutely no warranty."
50 tmp=$(getopt -o +q --long help,version,debug -n "$0" -- "$@") || exit 1
55 (--help) showHelp $0 ;;
56 (--version) showVersion ;;
59 (*) echo $"bash-wrapper: internal error; arg=='$1'" >&2; exit 1;;